
#ifndef SPECTRE_SYSTEM_FILE_H
#define SPECTRE_SYSTEM_FILE_H

#include <vector>
#include <string>

namespace File
{
	std::string getBasename(const std::string& path);

	std::string getExtension(const std::string& path);

	std::string getPathname(const std::string& path);

	std::vector<unsigned char> read(const std::string& path);
};

#endif /* SPECTRE_SYSTEM_FILE_H */
